安装Python3.5时错误解决方法

展示美好 · · 1857 次点击 · 开始浏览    置顶
这是一个创建于 的主题,其中的信息可能已经有所发展或是发生改变。
近期在研究python基础教程(http://www.maiziedu.com/course/python/),就Python开发软件而言,现在大家经常使用的软件版本是Python2和Python3版本,目前Python2已经稳定了,最近想尝试使用python3.5,其中遇到安装中的错误,现在记录下来,提个醒: 1 安装setuptools 出现缺少 zlib模块 解决: 1 yum install zlib 2 yum install zlib-devel 然后重新编译安装python 2 为了使用tab补全命令安装 readline出现错误: gcc: error: readline/libreadline.a: No such file or directory  解决: 1 yum install readline-devel 2 yum install patch 3 linux升级python版本时候注意: 1:如果可以尽量不要删除python低版本 2:如果删除了低版本,记得修改/usr/bin/yum 的头,指定使用的python执行路径,如果遇到yum模块不存在,那就pip安装,如果python过高,没有适合的yum模块,那就只有iso文件中重置yum和python

入群交流(该群和以上内容无关):Go中文网 QQ交流群:798786647 或 加微信入微信群:274768166 备注:入群; 公众号:Go语言中文网

1857 次点击  
加入收藏 微博
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传